%define pkgname rcairo
Summary:	Cairo module for Ruby
Summary(pl.UTF-8):	Moduł Cairo dla języka Ruby
Name:		ruby-%{pkgname}
Version:	1.16.6
Release:	1
License:	GPL v2+ or custom (see COPYING)
Group:		Development/Languages
Source0:	https://www.cairographics.org/releases/rcairo-%{version}.tar.gz
# Source0-md5:	b3890cc249d5b4cdee100fdb438faf53
Patch0:		%{name}-hdr.patch
Patch1:		no-native-packages.patch
URL:		https://www.cairographics.org/rcairo/
BuildRequires:	cairo-devel >= 1.14.0
BuildRequires:	pkgconfig
BuildRequires:	rpmbuild(macros) >= 1.410
BuildRequires:	ruby-devel >= 1:1.8
BuildRequires:	ruby-native-package-installer >= 1.0.3
BuildRequires:	ruby-pkg-config >= 1.2.2
BuildRequires:	sed >= 4.0
Requires:	cairo >= 1.14.0
Requires:	ruby >= 1:1.8
# dropped?
Obsoletes:	ruby-rcairo-gtkcairo
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

# TODO: move this to rpm macros.build
%define		ruby_hdrdir	%(%{__ruby} -r rbconfig -e 'print RbConfig::CONFIG["rubyhdrdir"]')

%description
Cairo module for Ruby.

%description -l pl.UTF-8
Moduł Cairo dla języka Ruby.

%package devel
Summary:	Header file for Ruby rcairo extension
Summary(pl.UTF-8):	Plik nagłówkowy rozszerzenia rcairo dla języka Ruby
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	cairo-devel >= 1.14.0
Requires:	ruby-devel >= 1:1.8

%description devel
Header file for Ruby rcairo extension.

%description devel -l pl.UTF-8
Plik nagłówkowy rozszerzenia rcairo dla języka Ruby.

%prep
%setup -q -n rcairo-%{version}
%patch0 -p1
%patch1 -p1

%{__sed} -i -e '1s,/usr/bin/env ruby,%{__ruby},' samples/*.rb samples/agg/*.rb

%build
%{__ruby} extconf.rb

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{ruby_hdrdir},%{_examplesdir}/%{name}-%{version}}

%{__make} -j1 install \
	RUBYLIBDIR=$RPM_BUILD_ROOT%{ruby_vendorlibdir} \
	RUBYHDRDIR=$RPM_BUILD_ROOT%{ruby_hdrdir} \
	sitearchdir=$RPM_BUILD_ROOT%{ruby_vendorarchdir}

cp -a samples/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS COPYING NEWS README.rdoc
%attr(755,root,root) %{ruby_vendorarchdir}/cairo.so
%{ruby_vendorlibdir}/cairo
%{ruby_vendorlibdir}/cairo.rb
%{_examplesdir}/%{name}-%{version}

%files devel
%defattr(644,root,root,755)
%{ruby_hdrdir}/rb_cairo.h
%changelog
* Fri Jul 24 2020 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/ruby-rcairo.git;a=log;h=master

* Fri Jul 24 2020 Jakub Bogusz <qboosh@pld-linux.org> b000458
- updated to 1.16.6

* Sun Mar 22 2020 Jan Rękorajski <baggins@pld-linux.org> eb57f5f
- release 3 (by relup.sh)

* Fri Feb 14 2020 Jakub Bogusz <qboosh@pld-linux.org> 7008957
- adjust samples shebangs, release 2

* Fri Feb 14 2020 Jakub Bogusz <qboosh@pld-linux.org> d1752e0
- updated to 1.16.5

* Fri Mar 22 2019 Jakub Bogusz <qboosh@pld-linux.org> ec61707
- updated to 1.16.4

* Tue Nov 06 2018 Jakub Bogusz <qboosh@pld-linux.org> 81cc42e
- updated to 1.16.2

* Tue Oct 30 2018 Jakub Bogusz <qboosh@pld-linux.org> b5012b3
- updated to 1.16.0

* Mon Jun 04 2018 Jan Rękorajski <baggins@pld-linux.org> a62a60c
- up to 1.15.13

* Thu Nov 09 2017 Jan Rękorajski <baggins@pld-linux.org> 27a4fd3
- do not try to install native rpms on build time

* Wed Oct 25 2017 Jan Rękorajski <baggins@pld-linux.org> 8e2e013
- rebuild with ruby 2.3
- release 5 (by relup.sh)

* Sun Mar 20 2016 Elan Ruusamäe <glen@delfi.ee> 6730444
- strict deps on devel

* Sat Mar 19 2016 Elan Ruusamäe <glen@delfi.ee> 55779a8
- ruby 2.1 rebuild
- release 3 (by relup.sh)

* Sat Dec 19 2015 Jan Rękorajski <baggins@pld-linux.org> 48404e4
- release 2 (by relup.sh)

* Tue Jan 13 2015 Jakub Bogusz <qboosh@pld-linux.org> 1a5d152
- updated to 1.14.1

* Sun Nov 30 2014 Jakub Bogusz <qboosh@pld-linux.org> 26d1c63
- updated to 1.14.0

* Tue Jul 22 2014 Elan Ruusamäe <glen@delfi.ee> 0bc11d3
- ruby 2.0 rebuld
- release 2 (by relup.sh)

* Fri Apr 18 2014 Jakub Bogusz <qboosh@pld-linux.org> 6363021
- updated to 1.12.9
- use vendordirs

* Thu Dec 26 2013 Jakub Bogusz <qboosh@pld-linux.org> ecb593d
- install seems racy, use make -j1

* Thu Dec 26 2013 Jakub Bogusz <qboosh@pld-linux.org> e70ee6c
- updated to 1.12.8

* Tue Jun 04 2013 Jakub Bogusz <qboosh@pld-linux.org> f3b7446
- updated to 1.12.6; adjusted to use RbConfig instead of Config

